From 86a45b7bc98d47f9d21693113180235288077253 Mon Sep 17 00:00:00 2001
From: Renato Aguiar <renato@renag.me>
Date: Sat, 13 Jul 2019 21:14:20 -0700
Subject: [PATCH] intel-undervolt: update to 1.7

---
 .../patches/configurable-compiler.patch            | 14 ++++++++++++++
 srcpkgs/intel-undervolt/template                   | 10 +++-------
 2 files changed, 17 insertions(+), 7 deletions(-)
 create mode 100644 srcpkgs/intel-undervolt/patches/configurable-compiler.patch

diff --git a/srcpkgs/intel-undervolt/patches/configurable-compiler.patch b/srcpkgs/intel-undervolt/patches/configurable-compiler.patch
new file mode 100644
index 00000000000..5f6cbc6e446
--- /dev/null
+++ b/srcpkgs/intel-undervolt/patches/configurable-compiler.patch
@@ -0,0 +1,14 @@
+--- Makefile.in
++++ Makefile.in
+@@ -1,7 +1,7 @@
+-CC = gcc
+-CFLAGS =
+-EXTRA_CFLAGS = -Wall -Wextra
+-DESTDIR =
++CC ?= gcc
++CFLAGS ?=
++EXTRA_CFLAGS ?= -Wall -Wextra
++DESTDIR ?=
+ 
+ ENABLE_SYSTEMD =
+ ENABLE_ELOGIND =
diff --git a/srcpkgs/intel-undervolt/template b/srcpkgs/intel-undervolt/template
index 47465d6cd91..02a72a91269 100644
--- a/srcpkgs/intel-undervolt/template
+++ b/srcpkgs/intel-undervolt/template
@@ -1,16 +1,12 @@
 # Template file for 'intel-undervolt'
 pkgname=intel-undervolt
-version=1.6
+version=1.7
 revision=1
-build_style=gnu-makefile
+build_style=gnu-configure
 conf_files="/etc/intel-undervolt.conf"
 short_desc="Intel CPU undervolting tool"
 maintainer="Renato Aguiar <renato@renag.me>"
 license="GPL-3.0-or-later"
 homepage="https://github.com/kitsunyan/intel-undervolt"
 distfiles="https://github.com/kitsunyan/intel-undervolt/archive/${version}.tar.gz"
-checksum=8ec57c14a9f95eb29e3f6349b935c577fa1b8567e1c3c5337f9d11d05448815d
-
-post_install() {
-	rm "${DESTDIR}"/*.service
-}
+checksum=29a7ebaee4830d65d0b5cefa6d497887d4f23f34659876dfe944f3a020cf33ff
